Bug Hunting Session
Bug 115132 - Hitting Delete/Backspace key in an empty cell moves cursor to next/previous cell
Summary: Hitting Delete/Backspace key in an empty cell moves cursor to next/previous cell
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-01-21 04:55 UTC by Aron Budea
Modified: 2018-02-06 10:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-01-21 04:55:19 UTC
In Writer, insert a table, and hit delete key when in a cell.

=> Cursor jumps to next cell, instead of staying in the same cell.

Observed with LO 6.0.0.2 & 3.3.0 / Windows 7.
Comment 1 MM 2018-01-21 11:22:05 UTC
Confirmed on windows 7 x64 with Version: 6.0.0.2
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 3; OS: Windows 6.1; UI render: default

Backspace moves back and delete moves forward.
Comment 2 Aron Budea 2018-01-21 17:53:37 UTC
Good point, let me update the summary.
Comment 3 Aron Budea 2018-01-28 01:01:45 UTC
The relevant pieces of code are here:

https://opengrok.libreoffice.org/xref/core/sw/source/uibase/wrtsh/delete.cxx
long SwWrtShell::DelLeft() { ... }
long SwWrtShell::DelRight() { ... }
Comment 4 Commit Notification 2018-02-06 09:30:42 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1692bda118f234608ccec0697f9d7b6f6bd86b6d

tdf#115132: don't move out from current cell on Backspace/Delete

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.